[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollectionItem.Destroy

Destroyes this collection item.

## Declaration

Source position: classesh.inc line 499

`public destructor TCollectionItem.Destroy; override;`

## Description

Destroy removes the item from the managing collection and Destroys the item instance.

This is the only way to remove items from a collection;

## See also

TCollectionItem.Create |  | Creates a new instance of this collection item.

Documentation generated on: Feb 26 2014